tapi-sdkdb(1)

NAME
tapi-sdkdb - Generate SDKDB from SDKContent

SYNOPSIS
tapi sdkdb [options]

DESCRIPTION

The sdkdb command creates a database containing all the interfaces from a SDK, both public and private, in JSON format. SDKDB contains information about symbols, Objective-C Classes, Objective-C Category, and Objective-C Protocol.

OPTIONS

-action=<value>
    Set SDKDB generation option: 'scan-interface', 'gen-public', 'gen-private' or 'all'. scan-interface - generates partial SDKDB containing information of RuntimeRoot, SDKContentRoot and PublicSDKContentRoot seperately.
    gen-public - generate full SDKDB from public interfaces.
    gen-private - generate full SDKDB from private interfaces.
    all - executes all options in sequence.

-arch <architecture>
    Specify the architecture to build for.

--config-file=<file>
    Read configuration from <file>.

--diagnostics-file=<file>
    Write diagnostics to <file>.

-dylibs-only
    Scan only Frameworks and UNIX libs.

-D <value>
    Define macro.

-exclude-private-header <glob>
    Exclude private header from parsing.

-exclude-public-header <glob>
    Exclude public header from parsing.

-extra-private-header <path>
    Add additional private header location for parsing.

-extra-public-header <path>
    Add additional public header location for parsing.

-fmodules-cache-path=<directory>
    Specify the module cache path.

-fmodules-validate-system-headers
    Validate the system headers that a module depends on when loading the module.

-fmodules
    Enable the 'modules' language feature.

-fno-rtti
    Disable generation of rtti information.

-fobjc-arc
    Synthesize retain and release calls for Objective-C pointers.

-fobjc-weak
    Enable ARC-style weak references in Objective-C.

-fvisibility=<value>
    Set the default symbol visibility for all global declarations.

-F <value>
    Add directory to framework include search path.

-iframework <value>
    Add directory to SYSTEM framework search path.

-isysroot <dir>
    Set the system root directory (usually /).

-isystem <directory>
    Add directory to SYSTEM include search path.

-I <value>
    Add directory to include search path.

--load-snapshot=<dir>
    Specify the snapshot input directory.

-no-private-headers
    Disable private header scanning.

-no-public-headers
    Disable public header scanning.

-ObjC++
    Treat source input files as Objective-C++ inputs.

-ObjC
    Treat source input files as Objective-C inputs.

-o <file>
    Write output to <file>.

--partial-sdkdb-list <filelist>
    Partial SDKDB filelist path.

-private-headers
    Enable private header scanning.

-private-umbrella-header <path>
    Specify the private umbrella header location.

-public-headers
    Enable public header scanning.

--public-sdk-content-root <PublicSDKContentRoot>
    Path to PublicSDKContentRoot.

-public-umbrella-header <path>
    Specify the public umbrella header location.

--runtime-root <RuntimeRoot>
    Path to RuntimeRoot.

--sdk-content-root <SDKContentRoot>
    Path to SDKContentRoot.

--snapshot-dir=<dir>
    Specify the snapshot output directory.

--snapshot-use-own-resource-dir
    Use our own resource directory.

--snapshot
    Force creation of a snapshot.

-std=<value>
    Language standard to compile for.

--target=<value>
    Generate code for the given target.

-U <value>
    Define/Undefine macro.

--verify-api
    Verify the API of zippered frameworks.

-version
    Display the version.

-v
    Verbose output, show scan content and driver options.

-Xparser <arg>
    Pass <arg> to the clang parser.

-x <language>
    Treat subsequent input files as having type <language>.

-help
    Prints the list of options.

SEE ALSO
tapi(1), ld(1)